/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rhzf.ryWlrk.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springblade.modules.rhzf.fwInfo.vo.SyjzryVO;
import org.springblade.modules.rhzf.ryWlrk.entity.RyWlrkEntity;
import org.springblade.modules.rhzf.ryWlrk.vo.RyWlrkVO;
import org.springblade.modules.rhzf.ryWlrk.excel.RyWlrkExcel;
import org.springblade.modules.rhzf.ryWlrk.mapper.RyWlrkMapper;
import org.springblade.modules.rhzf.ryWlrk.service.IRyWlrkService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 入户走访_人员_未落常口 服务实现类
 *
 * @author BladeX
 * @since 2023-11-14
 */
@Service
public class RyWlrkServiceImpl extends BaseServiceImpl<RyWlrkMapper, RyWlrkEntity> implements IRyWlrkService {

	@Autowired
	private RyWlrkJlServiceImpl ryWlrkJlService;

	@Override
	public IPage<RyWlrkVO> selectRyWlrkPage(IPage<RyWlrkVO> page, RyWlrkVO ryWlrk) {
		return page.setRecords(baseMapper.selectRyWlrkPage(page, ryWlrk));
	}


	@Override
	public List<RyWlrkExcel> exportRyWlrk(Wrapper<RyWlrkEntity> queryWrapper) {
		List<RyWlrkExcel> ryWlrkList = baseMapper.exportRyWlrk(queryWrapper);
		//ryWlrkList.forEach(ryWlrk -> {
		//	ryWlrk.setTypeName(DictCache.getValue(DictEnum.YES_NO, RyWlrk.getType()));
		//});
		return ryWlrkList;
	}

	@Override
	public boolean updateRy(SyjzryVO syjzryVO) {
		return baseMapper.updateRy(syjzryVO);
	}

	@Override
	public void wlrkZx(RyWlrkEntity wlrkEntity) {
		baseMapper.wlrkZx(wlrkEntity);
	}

	@DS("jl")
	@Override
	public void saveToJl(RyWlrkEntity wlrkEntity) {
		ryWlrkJlService.save(wlrkEntity);
	}

	@DS("jl")
	@Override
	public void updateByIdToJl(RyWlrkEntity wlrkEntity) {
		ryWlrkJlService.updateById(wlrkEntity);
	}

	@DS("jl")
	@Override
	public void wlrkZxToJl(RyWlrkEntity wlrkEntity) {
		baseMapper.wlrkZx(wlrkEntity);
	}
}
